Package com.saxonica.config.pe

## Class ICUNumbererEnUnhyphenated

- java.lang.Object
- - net.sf.saxon.expr.number.AbstractNumberer
  - - com.saxonica.config.pe.ICUNumbererPE
    - - com.saxonica.config.pe.ICUNumbererEnUnhyphenated

- All Implemented Interfaces:
    `Numberer`

      public class ICUNumbererEnUnhyphenated
      extends ICUNumbererPE

  A numberer for English, using the ICU features, which produces space-separated word numbers, for example "Twenty Two" rather than the ICU default, which is hyphen-separated: "Twenty-Two". Used by default, but not when the language code is "en-x-hyphen".

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.number.AbstractNumberer

      `cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ICUNumbererEnUnhyphenated()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `postProcess​(java.lang.String s)` | Replace '-' in compound numeric words in English by ' '

    - ### Methods inherited from class com.saxonica.config.pe.ICUNumbererPE

      `availableOrdinalNumberings, availableSpelloutNumberings, config, dayName, defaultedLocale, getICUVersion, getLocales, getNumberer, getPreferences, monthName, ordinalSuffix, postProcessOrdinal, realLocale, toOrdinalWords, toWords, toWords`

    - ### Methods inherited from class net.sf.saxon.expr.number.AbstractNumberer

      `alphaDefault, convertDigitSystem, format, format, getCalendarName, getCountry, getEraName, getLanguage, getOrdinalSuffixForDateTime, halfDayName, setCountry, setLanguage, toAlpha, toAlphaSequence, toJapanese, toRoman, zero`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICUNumbererEnUnhyphenated

          public ICUNumbererEnUnhyphenated()

  - ### Method Detail

    - #### postProcess

          public java.lang.String postProcess​(java.lang.String s)

      Replace '-' in compound numeric words in English by ' '
      Overrides:
        `postProcess` in class `ICUNumbererPE`
      Parameters:
        `s` - the word string to process
      Returns:
        processed string